Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.standard
Class ClassicTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.standard.ClassicTokenizerFactory

    public class ClassicTokenizerFactory

extends TokenizerFactory

Factory for `ClassicTokenizer`.

     <fieldType name="text_clssc" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.ClassicTokenizerFactory" maxTokenLength="120"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`ClassicTokenizerFactory(Map<String,String> args)` Creates a new ClassicTokenizerFactory

Method Summary
`ClassicTokenizer` | `create(AttributeSource.AttributeFactory factory, Reader input)` Creates a TokenStream of the specified input using the given AttributeFactory

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, create, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassicTokenizerFactory

    public ClassicTokenizerFactory(Map<String,String> args)

  Creates a new ClassicTokenizerFactory

Method Detail

### create

    public ClassicTokenizer create(AttributeSource.AttributeFactory factory,
                                   Reader input)

  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input using the given AttributeFactory

  Specified by:
    `create` in class `TokenizerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.